@import '../../styles/--scss-vars.scss';

.chat {
  .inner {
    overflow-x: hidden;
    overflow-y: auto;
    padding-right: $subdiv * 2;
    height: $column4 - $spacer3;
    .item {
      padding: $subdiv * 2 - 2 $subdiv * 2 $subdiv * 2 - 2 $subdiv * 4;
      .icon {
        width: $subdiv * 5 + 1;
        margin-right: $subdiv * 2;
        img {
          width: $subdiv * 5 + 1;
          height: $subdiv * 5 + 1;
          @include border-radius(50%);
          object-fit: cover;
        }
      }
      .detail {
        width: calc(calc(100% - $subdiv * 5) + 1px);
        .head-part {
          .left {
            width: calc(calc(100% - $subdiv * 5) + 1px);
            padding-right: $subdiv;
            .name {
              font-size: $subdiv * 3 - 1;
              font-weight: 700;
              margin-right: $subdiv * 2 - 2;
            }
            .time {
              font-size: $subdiv * 2;
            }
          }
          .right {
            width: $subdiv * 5 + 1;
            .action {
              cursor: pointer;
            }
          }
        }
        .bottom-part {
          p {
            font-size: $subdiv * 2 + 2;
            margin-bottom: 0;
          }
        }
      }
      &:not(:last-of-type) {
        border-bottom: 1px solid $color-d3;
      }
    }
  }
  .note {
    font-size: $subdiv * 2 + 1;
    font-style: italic;
    background-color: $color-d4;
    padding: calc(var(--subdiv));
    .close {
      float: right;
      font-style: normal;
      background-color: $color-e0;
      width: $subdiv * 3;
      height: $subdiv * 3;
      font-size: $subdiv * 3 - 3;
      text-align: center;
      line-height: $subdiv * 3;
      @include border-radius(50%);
      margin-left: $subdiv;
    }
  }
  .chat-box {
    padding: $subdiv * 2 - 2 $subdiv * 2 $subdiv * 2 - 2 $subdiv * 4;
    .icon {
      width: $subdiv * 5 + 1;
      margin-right: $subdiv * 2;
      img {
        width: $subdiv * 5 + 1;
        height: $subdiv * 5 + 1;
        @include border-radius(50%);
        object-fit: cover;
      }
    }
    .detail {
      width: calc(calc(100% - $subdiv * 5) + 1px);
      .left {
        width: calc(100% - $subdiv * 5);
        .head-part {
          width: 100%;
          padding-right: $subdiv;
          .name {
            font-size: $subdiv * 3 - 1;
            font-weight: 700;
          }
        }
        .bottom-part {
          input[type='text'] {
            font-size: $subdiv * 2 + 2;
            background-color: transparent;
          }
        }
      }
      .right {
        width: $subdiv * 5;
        .action {
          cursor: pointer;
        }
      }
    }
  }
}
